Skip to main content
POST
/
policies
/
{policyId}
/
calculate-quote
Calculate policy quote
curl --request POST \
  --url https://api.example.com/policies/{policyId}/calculate-quote \
  --header 'Content-Type: application/json' \
  --data '
{
  "options": [
    {
      "tier": "<string>",
      "excess": "<string>",
      "assetId": "<string>",
      "perils": [
        {
          "id": "<string>",
          "option": "<string>",
          "available": true,
          "unavailabilityMessage": "<string>"
        }
      ]
    }
  ],
  "skipValidation": true,
  "brokerageFeesOverride": [
    {
      "brokerageFirmId": "<string>",
      "fee": 50
    }
  ],
  "customFieldsToOverride": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "assetIds": [
    "<string>"
  ],
  "prorated": true
}
'
import requests

url = "https://api.example.com/policies/{policyId}/calculate-quote"

payload = {
    "options": [
        {
            "tier": "<string>",
            "excess": "<string>",
            "assetId": "<string>",
            "perils": [
                {
                    "id": "<string>",
                    "option": "<string>",
                    "available": True,
                    "unavailabilityMessage": "<string>"
                }
            ]
        }
    ],
    "skipValidation": True,
    "brokerageFeesOverride": [
        {
            "brokerageFirmId": "<string>",
            "fee": 50
        }
    ],
    "customFieldsToOverride": [
        {
            "key": "<string>",
            "value": "<string>"
        }
    ],
    "assetIds": ["<string>"],
    "prorated": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    options: [
      {
        tier: '<string>',
        excess: '<string>',
        assetId: '<string>',
        perils: [
          {
            id: '<string>',
            option: '<string>',
            available: true,
            unavailabilityMessage: '<string>'
          }
        ]
      }
    ],
    skipValidation: true,
    brokerageFeesOverride: [{brokerageFirmId: '<string>', fee: 50}],
    customFieldsToOverride: [{key: '<string>', value: '<string>'}],
    assetIds: ['<string>'],
    prorated: true
  })
};

fetch('https://api.example.com/policies/{policyId}/calculate-quote', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "policy": { "id": "<string>", "entityId": "<string>", "provider": { "id": "<string>", "version": "<string>" }, "rates": [ { "id": "<string>", "rate": 123, "inputs": [ { "id": "<string>", "value": "<string>" } ] } ], "totalPremium": { "amountPreFeesAndTaxes": 123, "fees": [ { "id": "<string>", "amount": 123, "brokerageFirmId": "<string>" } ], "totalFees": 123, "amountWithFeesPreTaxes": 123, "taxes": [ { "id": "<string>", "amount": 123 } ], "totalTaxes": 123, "amountWithFeesAndTaxes": 123 }, "components": [ { "id": "<string>", "premium": { "amountPreFeesAndTaxes": 123, "fees": [ { "id": "<string>", "amount": 123, "brokerageFirmId": "<string>" } ], "totalFees": 123, "amountWithFeesPreTaxes": 123, "taxes": [ { "id": "<string>", "amount": 123 } ], "totalTaxes": 123, "amountWithFeesAndTaxes": 123 } } ], "basePrice": 123 }, "assets": [ { "id": "<string>", "entityId": "<string>", "provider": { "id": "<string>", "version": "<string>" }, "rates": [ { "id": "<string>", "rate": 123, "inputs": [ { "id": "<string>", "value": "<string>" } ] } ], "totalPremium": { "amountPreFeesAndTaxes": 123, "fees": [ { "id": "<string>", "amount": 123, "brokerageFirmId": "<string>" } ], "totalFees": 123, "amountWithFeesPreTaxes": 123, "taxes": [ { "id": "<string>", "amount": 123 } ], "totalTaxes": 123, "amountWithFeesAndTaxes": 123 }, "components": [ { "id": "<string>", "premium": { "amountPreFeesAndTaxes": 123, "fees": [ { "id": "<string>", "amount": 123, "brokerageFirmId": "<string>" } ], "totalFees": 123, "amountWithFeesPreTaxes": 123, "taxes": [ { "id": "<string>", "amount": 123 } ], "totalTaxes": 123, "amountWithFeesAndTaxes": 123 } } ], "options": { "tier": "<string>", "excess": "<string>", "assetId": "<string>", "perils": [ { "id": "<string>", "option": "<string>", "available": true, "unavailabilityMessage": "<string>" } ], "brokerageFees": [ { "brokerageFirmId": "<string>", "fee": 50 } ] }, "basePrice": 123 } ] }

Path Parameters

policyId
string
required

the policy id

Query Parameters

whenAt
string

Optional: the whenAt datetime

simulatedAt
string

Optional: the simulatedAt datetime

branchId
string

Optional: the branchId

Body

application/json
options
object[]
additionalQuoteComponentsAndPercentages
object

Additional quote components and percentages

skipValidation
boolean

Debug: force a quote to happen even if there are no changes to quote

brokerageFeesOverride
object[]

Brokerage fees to calculate quote with

periodDurationOverride
object

Policy period duration value to calculate quote with

customFieldsToOverride
object[]

Custom fields you want to calculate quote with

assetIds
string[]

The assets ids to quote

prorated
boolean

Decide if the quote should be prorated according to the invoicing frequency

Response

policy
object
assets
object[]